Bug 1418166 - Remove dependencies required by spice on ppc64le
Summary: Remove dependencies required by spice on ppc64le
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Qunfang Zhang
URL:
Whiteboard:
Keywords: Regression, ZStream
Depends On:
Blocks: 1420428
TreeView+ depends on / blocked
 
Reported: 2017-02-01 05:01 UTC by Miroslav Rezanina
Modified: 2017-08-02 03:17 UTC (History)
6 users (show)

Fixed In Version: qemu-kvm-rhev-2.8.0-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1420428 (view as bug list)
Environment:
Last Closed: 2017-08-01 23:42:15 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Miroslav Rezanina 2017-02-01 05:01:34 UTC
Description of problem:

In qemu-kvm-rhev based on 2.6 we introduce two install dependencies used by spice functionality:

- usbredir (direct Requires)
- libcacard (indirect by BuildRequires)

These packages are shipped in Optional channel on ppc64le so we are not able to install qemu-kvm-rhev in case Optional channel is unavailable.


We need to properly handle this dependencies to not break ppc64le installation.

Comment 5 Miroslav Rezanina 2017-02-10 13:57:11 UTC
Fix included in qemu-kvm-rhev-2.8.0-4.el7

Comment 7 Qunfang Zhang 2017-05-11 07:54:11 UTC
Verified that qemu-kvm-rhev-2.8.0-3 required the dependency of usbredir and libcacard while qemu-kvm-rhev-2.9.0-3 doesn't. 

On a fresh installed host with only a small set packages installed and without usbredir and libcacard:

On qemu-kvm-rhev-2.8.0-3.el7.ppc64le:

# rpm -ivh qemu-kvm-rhev-2.8.0-3/*
error: Failed dependencies:
	libiscsi.so.2()(64bit) is needed by qemu-img-rhev-10:2.8.0-3.el7.ppc64le
	libtcmalloc.so.4()(64bit) is needed by qemu-img-rhev-10:2.8.0-3.el7.ppc64le
	libtcmalloc.so.4()(64bit) is needed by qemu-kvm-common-rhev-10:2.8.0-3.el7.ppc64le
	SLOF >= 20160223-1.gitdbbfda4 is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	ipxe-roms-qemu >= 20160127-4 is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	libcacard.so.0()(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	libfdt.so.1()(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	libfdt.so.1(LIBFDT_1.2)(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	libibverbs.so.1()(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	libibverbs.so.1(IBVERBS_1.0)(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	libibverbs.so.1(IBVERBS_1.1)(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	libiscsi.so.2()(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	libpulse.so.0()(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	libpulse.so.0(PULSE_0)(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	librdmacm.so.1()(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	librdmacm.so.1(RDMACM_1.0)(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	libtcmalloc.so.4()(64bit) is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	seavgabios-bin >= 1.9.1-4 is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le
	usbredir >= 0.7.1 is needed by qemu-kvm-rhev-10:2.8.0-3.el7.ppc64le


On qemu-kvm-rhev-2.9.0-3.el7.ppc64le:

# rpm -ivh qemu-kvm-rhev-2.9.0-3/*
error: Failed dependencies:
	libiscsi.so.2()(64bit) is needed by qemu-img-rhev-10:2.9.0-3.el7.ppc64le
	libtcmalloc.so.4()(64bit) is needed by qemu-img-rhev-10:2.9.0-3.el7.ppc64le
	libtcmalloc.so.4()(64bit) is needed by qemu-kvm-common-rhev-10:2.9.0-3.el7.ppc64le
	SLOF >= 20170303-1.git66d250e is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	ipxe-roms-qemu >= 20170123-1 is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	libfdt.so.1()(64bit) is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	libfdt.so.1(LIBFDT_1.2)(64bit) is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	libibverbs.so.1()(64bit) is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	libibverbs.so.1(IBVERBS_1.0)(64bit) is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	libibverbs.so.1(IBVERBS_1.1)(64bit) is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	libiscsi.so.2()(64bit) is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	libpulse.so.0()(64bit) is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	libpulse.so.0(PULSE_0)(64bit) is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	librdmacm.so.1()(64bit) is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	librdmacm.so.1(RDMACM_1.0)(64bit) is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	libtcmalloc.so.4()(64bit) is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le
	seavgabios-bin >= 1.10.2-1 is needed by qemu-kvm-rhev-10:2.9.0-3.el7.ppc64le


usbredir and libcacard dependencies are removed and yum install qemu-kvm-rhev successfully without the two spice related packages. 

So, the bug is fixed.

Comment 9 errata-xmlrpc 2017-08-01 23:42:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 10 errata-xmlrpc 2017-08-02 01:19:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 11 errata-xmlrpc 2017-08-02 02:11:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 12 errata-xmlrpc 2017-08-02 02:52:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 13 errata-xmlrpc 2017-08-02 03:17:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.